using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblFieldValuesValueIsUniqueClmn : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_FieldValues_Value",
                schema: "unit",
                table: "FieldValues");

            migrationBuilder.CreateIndex(
                name: "IX_FieldValues_Value",
                schema: "unit",
                table: "FieldValues",
                column: "Value",
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_FieldValues_Value",
                schema: "unit",
                table: "FieldValues");

            migrationBuilder.CreateIndex(
                name: "IX_FieldValues_Value",
                schema: "unit",
                table: "FieldValues",
                column: "Value");
        }
    }
}
